SNA

List models

Inspect available models for a provider runtime.

POST
/agent/list-models

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/list-models" \  -H "Content-Type: application/json" \  -d '{}'
{
  "models": [
    {
      "id": "string",
      "label": "string",
      "provider": "string",
      "source": "static",
      "contextWindow": 0,
      "deprecated": true,
      "notes": "string"
    }
  ],
  "source": "static",
  "fetchedAt": 0,
  "error": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}